# Shell script to unpack a bzip'd binary into a particular directory location.
##

if ($#argv != 3) then
	echo "err Usage: $0 binary.tar.bz2 specifiedDirectory  - e.g. /Applications/Yoics/Apache"
	echo "    installs bzip'd custom apache server into specified directory"
endif

#example:
#set APACHE_DIR="/Applications/Yoics"
#set APACHE_BZIP_BINARY="Apache.tar.bz2"

#generic:
set SRC_DIR=$2
set APACHE_DIR=$3
set APACHE_BZIP_BINARY=$1

if (-e $APACHE_DIR/Apache) then
    echo "err Apache HTTP server ($APACHE_DIR/Apache) already installed.  Skipping installation as usual." ; exit 1
endif

mkdir -p $APACHE_DIR

if ($status != 0) goto error
	cd $SRC_DIR
    cd $APACHE_DIR
    bunzip2 --stdout --keep --decompress $SRC_DIR/$APACHE_BZIP_BINARY | tar -x 
endif

if (-e $APACHE_DIR) then
    echo "ok $APACHE_DIR created successfully"
    goto done
endif

	echo "err $APACHE_DIR not created as expected.  Webdav share will be disabled"

error:
    exit 1

done:
 exit 0


