COTVNC_HOME="./Chicken of the VNC.app"
COTVNC_CMD="$COTVNC_HOME/Contents/MacOS/Chicken of the VNC"
YOICS_CLIENT_PORT_NO=$1


prompt () 
{
  TITLE="$PROMPT_TITLE"
  HOSTANDPORT="localhost:$YOICS_CLIENT_PORT_NO"

  DIALOG="display dialog \"$@\" default answer \"$HOSTANDPORT\" with title \"$TITLE\""
  DIALOG="$DIALOG with icon caution"
  
  result=`osascript -e 'tell application "Finder"' -e "activate"  \
   -e "$DIALOG" -e 'end tell'`
  
  if [ "$result" = "" ]; then
    return 1
  else
    echo "$result" | sed -e 's/^text returned://' -e 's/, button returned:.*$//'
    return 0
  fi
}

# Prompt for VNC Server 
PROMPT_TITLE="Enter server for VNC access"
export PROMPT
server=`prompt "Connect to server"`

if [ "x$server" = "x" ]; then
   exit 0
fi

# Prompt for VNC Password
ASKPASS_TITLE="VNC Client"
export ASKPASS_TITLE
passwd=`./vncPassCheck.sh "Password:"`

host=`echo $server | cut -d: -f1`
port=`echo $server | cut -d: -f2`

touch /tmp/clientvnc.$$
chmod 600 /tmp/clientvnc.$$
echo $passwd | ./vncpasswd -f > /tmp/clientvnc.$$

unset ASKPASS_TITLE

# log into VNC client and run.
echo "$COTVNC_CMD" $host:$port --PasswordFile /tmp/clientvnc.$$
"$COTVNC_CMD" $host:$port --PasswordFile /tmp/clientvnc.$$ &

# delete password file after VNC client is logged in and running.
# sleep 25;rm /tmp/clientvnc.$$ &

