WEBDAV_MOUNT_CMD="/sbin/mount_webdav -S http://"
YOICS_CLIENT_PORT_NO=$1
YOICS_CLIENT_DEVICE_ALIAS=$2

prompt () 
{
  TITLE="$PROMPT_TITLE"
  HOSTANDPORT="localhost:$YOICS_CLIENT_PORT_NO"

  DIALOG="display dialog \"$@\" default answer \"$HOSTANDPORT\" with title \"$TITLE\""
  DIALOG="$DIALOG with icon caution"
  
  result=`osascript -e 'tell application "Finder"' -e "activate"  \
   -e "$DIALOG" -e 'end tell'`
  
  if [ "$result" = "" ]; then
    return 1
  else
    echo "$result" | sed -e 's/^text returned://' -e 's/, button returned:.*$//'
    return 0
  fi
}

# Prompt for webdav variables
PROMPT_TITLE="Enter server for WebDAV access"
export PROMPT
server=`prompt "Connect to server"`

if [ "x$server" = "x" ]; then
	exit 0
fi

host=`echo $server | cut -d: -f1`
port=`echo $server | cut -d: -f2`


mkdir /Volumes/$YOICS_CLIENT_DEVICE_ALIAS
# log into webdav client and run.
sleep 2
echo $WEBDAV_MOUNT_CMD$host:$port /Volumes/$YOICS_CLIENT_DEVICE_ALIAS
open -b com.apple.Finder "file:///Volumes" &
exec $WEBDAV_MOUNT_CMD$host:$port /Volumes/$YOICS_CLIENT_DEVICE_ALIAS


